using System;
using System.Runtime.InteropServices;

namespace CP.Windows.Forms
{
	[StructLayout(LayoutKind.Sequential)]
	internal struct Rect
	{
		public int left;
		public int top;
		public int right;
		public int bottom;
	}

	[StructLayout(LayoutKind.Sequential)]
	internal struct ComboBoxInfo
	{
		public int cbSize;
		public Rect rcItem;
		public Rect rcButton;
		public IntPtr stateButton;
		public IntPtr hwndCombo;
		public IntPtr hwndEdit;
		public IntPtr hwndList;
	}
		
	/// <summary>
	/// All unmanaged DllImport methods used in this assembly
	/// </summary>
	internal class UnManagedMethods
	{
		[DllImport("User32.dll")]
		internal static extern bool GetComboBoxInfo(IntPtr hwndCombo, ref ComboBoxInfo info);
	
		[DllImport("Shlwapi.dll")]
		internal static extern void SHAutoComplete(IntPtr hwnd, IntPtr flags);
	}
}
